groovy.lang

## Class Tuple

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList
    - - groovy.lang.Tuple

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.List

Direct Known Subclasses:
  Tuple2

    public class Tuple
    extends java.util.AbstractList

Represents a list of Objects.

Author:
  James Strachan

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`Tuple(java.lang.Object[] contents)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`java.lang.Object` `get(int index)`
`int` `hashCode()`
`int` `size()`
`java.util.List` `subList(int fromIndex, int toIndex)`

### Methods inherited from class java.util.AbstractList

`add, add, addAll, clear, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set`

### Methods inherited from class java.util.AbstractCollection

`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator, toArray, toArray`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Constructor Detail

#### Tuple

    public Tuple(java.lang.Object[] contents)

### Method Detail

#### get

    public java.lang.Object get(int index)

Specified by:
  `get` in interface `java.util.List`
Specified by:
  `get` in class `java.util.AbstractList`

#### size

    public int size()

Specified by:
  `size` in interface `java.util.Collection`
Specified by:
  `size` in interface `java.util.List`
Specified by:
  `size` in class `java.util.AbstractCollection`

#### equals

    public boolean equals(java.lang.Object o)

Specified by:
  `equals` in interface `java.util.Collection`
Specified by:
  `equals` in interface `java.util.List`
Overrides:
  `equals` in class `java.util.AbstractList`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `java.util.Collection`
Specified by:
  `hashCode` in interface `java.util.List`
Overrides:
  `hashCode` in class `java.util.AbstractList`

#### subList

    public java.util.List subList(int fromIndex,
                                  int toIndex)

Specified by:
  `subList` in interface `java.util.List`
Overrides:
  `subList` in class `java.util.AbstractList`